FileExistsException (Commons IO 2.5)
Date: 2016-12-01

org.apache.commons.io

## Class FileExistsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.commons.io.FileExistsException

- All Implemented Interfaces:
    java.io.Serializable

      public class FileExistsException
      extends java.io.IOException

  Indicates that a file already exists.
  Since:
    2.0
  Version:
    $Id: FileExistsException.java 1415850 2012-11-30 20:51:39Z ggregory $
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID` Defines the serial version UID.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileExistsException()` Default Constructor.
    `FileExistsException(java.io.File file)` Construct an instance with the specified file.
    `FileExistsException(java.lang.String message)` Construct an instance with the specified message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Defines the serial version UID.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FileExistsException

          public FileExistsException()

      Default Constructor.

    - #### FileExistsException

          public FileExistsException(java.lang.String message)

      Construct an instance with the specified message.
      Parameters:
        `message` - The error message

    - #### FileExistsException

          public FileExistsException(java.io.File file)

      Construct an instance with the specified file.
      Parameters:
        `file` - The file that exists

Copyright (c) 2002-2016 Apache Software Foundation